# DelayUs in embedded_hal::blocking::delay - Rust
Microsecond delay
Keywords: rust, rustlang, rust-lang, DelayUs

# Trait embedded_hal::blocking::delay::DelayUs

source · [−]

    pub trait DelayUs<UXX> {
        type Error;
        fn try_delay_us(&mut self, us: UXX) -> Result<(), Self::Error>;
    }

Expand description

Microsecond delay

`UXX` denotes the range type of the delay time. `UXX` can be `u8`, `u16`, etc. A single type can implement this trait for different types of `UXX`.

## Associated Types

source

#### type Error

Enumeration of `DelayMs` errors

## Required methods

source

#### fn try_delay_us(&mut self, us: UXX) -> Result<(), Self::Error>

Pauses execution for `us` microseconds

## Implementors